Get all listings
https://api.propexo.com/v1/listings/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external listing id
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the unit
The Propexo unique identifier for the property
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the listing.
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the listing
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the unit from the integration vendor
The external ID of the floor plan from the integration vendor
True if the listing is for a unit, false if it is not associated with a specific unit
The date the listing is available
The application URL for the listing
The number of bathrooms associated with the listing
The number of full bathrooms associated with the listing
The number of half bathrooms associated with the listing
The number of bedrooms associated with the listing
The building name associated with the listing
The building number associated with the listing
The city associated with the listing
The country associated with the listing
custom_data object | nullrequired
The deposit amount in cents associated with the listing
100000The external ID of the floor plan associated with the listing
The floor plan name associated with the listing
The floor number/name associated with the listing
Whether the listing is available
Whether the listing is furnished
Whether the listing is listed
Whether the listing is managed externally
Whether the listing is vacant
The term of the lease
The title used for the marketing listing
The date the listing was created
The marketing name of the unit being listed
Notes associated with the listing
The unit number
The rent amount in cents for the listing
100000Marketing specials or promotions for the listing
The square footage of the listing
Possible values: >= 0
The state associated with the listing
Deprecated: Use address_1
Deprecated: Use address_2
The first address line associated with the listing
The second address line associated with the listing
Description of the property
A short description of the listing
Description of the unit
The zip code associated with the listing
The make ready date of the listing
The vacate date of the listing
The raw status associated with the listing
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the floor plan
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the unit type
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/listings/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_unit_id": "string",
"x_floor_plan_id": "string",
"is_unit": true,
"available_date": "string",
"application_url": "string",
"bathrooms": "string",
"bathrooms_full": 0,
"bathrooms_half": 0,
"bedrooms": "string",
"building_name": "string",
"building_number": "string",
"city": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"deposit_amount_in_cents": 100000,
"floor_plan_code": "string",
"floor_plan_name": "string",
"floor": "string",
"image_urls": [
"string"
],
"is_available": true,
"is_furnished": true,
"is_listed": true,
"is_managed_external": true,
"is_vacant": true,
"lease_term": "string",
"listing_title": "string",
"listing_date": "string",
"marketing_name": "string",
"notes": "string",
"number": "string",
"rent_amount_in_cents": 100000,
"specials": "string",
"square_feet": 0,
"state": "string",
"address_1": "string",
"address_2": "string",
"property_description": "string",
"short_description": "string",
"unit_description": "string",
"zip": "string",
"make_ready_date": "string",
"vacate_date": "string",
"video_urls": "Unknown Type: array,null",
"status_raw": "string",
"property_id": "string",
"unit_id": "string",
"floor_plan_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"x_location_id": "string",
"unit_type_id": "string"
}
]
}